Bug 498517 - multiorg: Getting a miscalculation in the error when trying to re-activate with cert missing prior ents.
multiorg: Getting a miscalculation in the error when trying to re-activate wi...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Server (Show other bugs)
530
All Linux
urgent Severity high
: ---
: ---
Assigned To: Pradeep Kilambi
Preethi Thomas
:
Depends On:
Blocks: 456998
  Show dependency treegraph
 
Reported: 2009-04-30 16:50 EDT by Corey Welton
Modified: 2009-09-10 15:49 EDT (History)
3 users (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 15:49:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Corey Welton 2009-04-30 16:50:13 EDT
Description of problem:
If you have entitlements apportioned off to sub orgs and try to re-act with a cert that doesn't have those, you get an error -- it appears that perhaps sub orgs aren't being taken into acct.

Version-Release number of selected component (if applicable):


How reproducible:
Every time.

Steps to Reproduce:
1.  activate with a cert that has Virtualization Platform ents
2.  create a secondary org and assign one Virtualization Platform ent to that org.  You don't necessarily have to consume it.
3.  attempt to reactivate with a cert that has no Virtualization Platform ents
  
Actual results:
ERROR: Error: You do not have enough unused monitoring_entitled entitlements in the base org. There can only be atmost -1 used based on your current consumption. Please un-entitle the remaining systems for the activation to proceed.


Expected results:

Something other than a -1

Additional info:
Comment 1 Corey Welton 2009-05-01 09:58:35 EDT
To clarify description (I was in a hurry when I was writing this bug up)

Description of problem:
If you have entitlements apportioned off to sub orgs and try to re-act with a
cert that doesn't have those, you get an error -- but the number of entitlements indicated is obviously incorrect.  It appears that perhaps sub-orgs aren't being taken into acct.
Comment 2 Clifford Perry 2009-05-19 14:41:11 EDT
Corey - can you confirm this is a rhn-satellite-activate command line tool reporting an error? I have no screen shot nor copy/paste of error to clearly see what you was seeing. Assigning to Prad cos I *think* he is the right person for the bug report. 

Thanks,
Cliff
Comment 3 Corey Welton 2009-05-22 14:10:21 EDT
Repasting the copied/pasted error to carify what I was seeing:

ERROR: Error: You do not have enough unused monitoring_entitled entitlements in
the base org. There can only be atmost -1 used based on your current
consumption. Please un-entitle the remaining systems for the activation to
proceed.

Yes, it was using rhn-satellite-activate.
Comment 4 Preethi Thomas 2009-05-26 16:23:53 EDT
[root@fjs-0-07 ~]# rhn-satellite-activate --rhn-cert=/root/cert.cert RHN_PARENT: satellite.rhn.webqa.redhat.com
Error: You do not have enough unused enterprise_entitled entitlements in the base org. There can only be a maximum of -11 used, based on your current consumption. Please un-entitle the remaining systems for the activation to proceed.
Comment 6 Preethi Thomas 2009-06-04 16:32:49 EDT
verified

Error: You do not have enough unused enterprise_entitled entitlements in the base org. You will need at least 7900 free entitlements, based on your current consumption. Please un-entitle the remaining systems for the activation to proceed.
Comment 7 wes hayutin 2009-07-31 14:58:19 EDT
[root@rlx-2-04 ~]# rhn-satellite-activate --rhn-cert=/root/cert.cert 
RHN_PARENT: satellite.rhn.stage.redhat.com
Pushing scout configs to all monitoring scouts

looks good went from big cert w/ lots of channels to one with less channels
Comment 8 Brandon Perkins 2009-09-10 15:49:02 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.